Package org.flowable.engine

# Interface FlowableEngineAgenda

All Superinterfaces:
  `org.flowable.common.engine.impl.agenda.Agenda`, `org.flowable.common.engine.impl.interceptor.Session`

public interface FlowableEngineAgenda extends org.flowable.common.engine.impl.agenda.Agenda
This interface exposes methods needed to manipulate the agenda implementation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `planAsyncTriggerExecutionOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)`
  `void`
  `planContinueMultiInstanceOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution, org.flowable.engine.impl.persistence.entity.ExecutionEntity multiInstanceRootExecution, int loopCounter)`
  `void`
  `planContinueProcessInCompensation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)`
  `void`
  `planContinueProcessOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)`
  `void`
  `planContinueProcessSynchronousOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)`
  `void`
  `planContinueProcessWithMigrationContextOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution, MigrationContext migrationContext)`
  `void`
  `planDestroyScopeOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)`
  `void`
  `planEndExecutionOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)`
  `void`
  `planEndExecutionOperationSynchronous(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)`
  `void`
  `planEvaluateConditionalEventsOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)`
  `void`
  `planEvaluateVariableListenerEventsOperation(String processDefinitionId, String processInstanceId)`
  `void`
  `planExecuteInactiveBehaviorsOperation(Collection<org.flowable.engine.impl.persistence.entity.ExecutionEntity> executions)`
  `void`
  `planOperation(Runnable operation, org.flowable.engine.impl.persistence.entity.ExecutionEntity executionEntity)`
  `void`
  `planTakeOutgoingSequenceFlowsOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution, boolean evaluateConditions)`
  `void`
  `planTakeOutgoingSequenceFlowsSynchronousOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution, boolean evaluateConditions)`
  `void`
  `planTriggerExecutionOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)`

  ### Methods inherited from interface org.flowable.common.engine.impl.agenda.Agenda

  `getNextOperation, isEmpty, planFutureOperation, planOperation`

  ### Methods inherited from interface org.flowable.common.engine.impl.interceptor.Session

  `close, flush`

- ## Method Details

  - ### planOperation

    void planOperation(Runnable operation, org.flowable.engine.impl.persistence.entity.ExecutionEntity executionEntity)

  - ### planContinueProcessOperation

    void planContinueProcessOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)

  - ### planContinueProcessSynchronousOperation

    void planContinueProcessSynchronousOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)

  - ### planContinueProcessWithMigrationContextOperation

    void planContinueProcessWithMigrationContextOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution, MigrationContext migrationContext)

  - ### planContinueProcessInCompensation

    void planContinueProcessInCompensation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)

  - ### planContinueMultiInstanceOperation

    void planContinueMultiInstanceOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution, org.flowable.engine.impl.persistence.entity.ExecutionEntity multiInstanceRootExecution, int loopCounter)

  - ### planTakeOutgoingSequenceFlowsOperation

    void planTakeOutgoingSequenceFlowsOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution, boolean evaluateConditions)

  - ### planTakeOutgoingSequenceFlowsSynchronousOperation

    void planTakeOutgoingSequenceFlowsSynchronousOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution, boolean evaluateConditions)

  - ### planEndExecutionOperation

    void planEndExecutionOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)

  - ### planEndExecutionOperationSynchronous

    void planEndExecutionOperationSynchronous(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)

  - ### planTriggerExecutionOperation

    void planTriggerExecutionOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)

  - ### planAsyncTriggerExecutionOperation

    void planAsyncTriggerExecutionOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)

  - ### planEvaluateConditionalEventsOperation

    void planEvaluateConditionalEventsOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)

  - ### planEvaluateVariableListenerEventsOperation

    void planEvaluateVariableListenerEventsOperation(String processDefinitionId, String processInstanceId)

  - ### planDestroyScopeOperation

    void planDestroyScopeOperation(org.flowable.engine.impl.persistence.entity.ExecutionEntity execution)

  - ### planExecuteInactiveBehaviorsOperation

    void planExecuteInactiveBehaviorsOperation(Collection<org.flowable.engine.impl.persistence.entity.ExecutionEntity> executions)